> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifygtm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Page events

> Send a "page" event.



## OpenAPI

````yaml POST /page
openapi: 3.1.0
info:
  title: Unify Analytics API
  summary: Send website and product analytics data into the Unify platform.
  version: '1'
  termsOfService: https://www.unifygtm.com/legal/terms-and-conditions
  contact:
    name: Unify Support
    url: https://www.unifygtm.com/support
    email: support@unifygtm.com
servers:
  - url: https://api.unifyintent.com/analytics/v1
    variables: {}
security:
  - BasicAuth: []
tags:
  - name: Events
paths:
  /page:
    post:
      tags:
        - Events
      description: Send a "page" event.
      operationId: send_page_event
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PageEvent'
      responses:
        '200':
          description: The request has succeeded.
        '202':
          description: >-
            The request has been accepted for processing, but processing has not
            yet completed.
        '401':
          description: Access is unauthorized.
components:
  schemas:
    PageEvent:
      type: object
      required:
        - type
        - visitorId
        - timestamp
        - context
      properties:
        type:
          type: string
          enum:
            - page
          description: The type of analytics event being sent.
        visitorId:
          type: string
          description: Unique identifier for the visitor that triggered this event.
        sessionId:
          type: string
          description: Unique identifier for the session in which this event occurred.
        timestamp:
          type: string
          format: date-time
          description: Timestamp of the event (in UTC).
        sentAt:
          type: string
          format: date-time
          description: >-
            Timestamp at which the request is sent (in UTC).


            Typically, this value is nearly identical to `timestamp`. However in
            some

            situations there is latency between when the event occurs and when
            it is

            sent to Unify.
        context:
          allOf:
            - $ref: '#/components/schemas/EventContext'
          description: Contextual information about the client behind the event.
        name:
          type: string
          description: Name of the page that was viewed.
        properties:
          allOf:
            - $ref: '#/components/schemas/PageProperties'
          description: Details about the page that was viewed.
      description: A page view event represents a client visiting a page on a website.
    EventContext:
      type: object
      properties:
        library:
          type: object
          properties:
            name:
              type: string
            version:
              type: string
          description: Name and version of the library used to send the event.
        ip:
          anyOf:
            - $ref: '#/components/schemas/ipv4'
            - $ref: '#/components/schemas/ipv6'
          description: IP address for the client that triggered the event.
        locale:
          type: string
          description: Locale string for the client that triggered the event.
        userAgent:
          type: string
          description: User agent string for the device.
        userAgentData:
          type: object
          properties:
            brands:
              type: array
              items:
                type: object
                properties:
                  brand:
                    type: string
                  version:
                    type: string
            mobile:
              type: boolean
            platform:
              type: string
          description: User agent data for the device.
        utm:
          allOf:
            - $ref: '#/components/schemas/CampaignParams'
          description: Marketing campaign information.
      description: Contextual client information attached to an analytics event.
    PageProperties:
      type: object
      properties:
        path:
          type: string
          description: Path of the page (equivalent to `location.pathname`).
        query:
          type: object
          unevaluatedProperties:
            type: string
          description: Query string parameters (equivalent to `location.search`).
        referrer:
          type: string
          description: Referrer page's full URL (equivalent to `document.referrer`).
        title:
          type: string
          description: Page title (equivalent to `document.title`).
        url:
          type: string
          description: URL of the page (equivalent to `location.href`).
      description: Details about a page included in a page request.
    ipv4:
      type: string
      format: ipv4
    ipv6:
      type: string
      format: ipv6
    CampaignParams:
      type: object
      properties:
        source:
          type: string
          description: Source of the campaign.
        medium:
          type: string
          description: Medium of the campaign.
        campaign:
          type: string
          description: Name of the campaign.
        term:
          type: string
          description: Term of the campaign.
        content:
          type: string
          description: Content of the campaign.
      description: UTM parameters for tracking marketing campaigns.
  securitySchemes:
    BasicAuth:
      type: http
      scheme: Basic

````